[% BLOCK sysmessage %]
    <div class="system-message-component">
        <ul class="system-message-current system-message-info"><li>[% message %]</li></ul>
    </div>
[% END %]

[% IF error %]
    [% PROCESS sysmessage
        message = error
    %]

    [% RETURN %]
[% END %]



[% BLOCK select_import %]
    <tr>
        <td class="td150 guideline-hover">
            <strong>Importeer een nieuw bestand:</strong>
        </td>
        <td class="guideline-hover">
            <strong style="color:red;">[% dependency_error %]</strong>
                [% PROCESS widgets/general/mintloader.tt
                    veldoptie_name = 'file'
                    send_to_upload = 1
                %]
            <br/>
            <small class="small">Voer een zip bestand in. Zip bestand moet bevatten:
                <li>STUF_NIEUW: een STUF-TAX bestand met waarden van het huidige jaar</li>
                <li>STUF_OUD[datum].csv: Een csv bestand met waarde van het jaar daarvoor (optioneel)
                    Bestand heeft header met kolomnamen, twee kolommen "WOZOBJEKTNR" en "WAARDE".
                </li>
                Nadat het bestand helemaal is geupload en op 'verwerken' is gedrukt, kan het
            een minuut duren totdat de server de wijzigingen heeft verwerkt.</small>
        </td>
        <td class="td250">
            [% PROCESS widgets/general/tooltip.tt
                message = 'Upload een gecomprimeerd STUF TAX bestand. Dit kan ruim een minuut duren.'
            %]
        </td>
    </tr>
[% END %]



[% IF updated %]
    [% PROCESS sysmessage
        message = 'Wijzigingen zijn verwerkt'
    %]
[% END %]

<div class="block clearfix import">
    <p class="header">WOZ-gegevens instellingen</p>


    <div class="blockcontent">
        [% IF !c.check_any_user_permission('woz_objects'); %]
            U heeft geen toegangsrechten tot deze pagina.
        [% ELSE %]
            [% object_count = c.model('DB::WozObjects').count %]
            <p>De database bevat
            [% IF object_count > 0 %]
                 <a href="/beheer/woz/view">[% object_count %] objecten.</a>
            [% ELSE %]
                geen objecten.
            [% END %]
            </p>
        <div class="spinner-groot"><div></div></div>
        <form action="/beheer/woz/update" enctype="multipart/form-data" method="post" class="form ezra_woz_settings">
            <input type="hidden" name="update" value="1"/>
            <table class="marginbottom">
                [% PROCESS select_import %]
                [% FOREACH field IN ['woz_waardebepaling_text', 'woz_intro_text', 'woz_object_text', 'woz_kadastrale_percelen_text', 'woz_taxatieverslag_text'] %]
                <tr>
                    <td class="guideline-hover td150"><strong>[% field %]:</strong></td>
                    <td colspan="2" class="guideline-hover settings_content_column"><textarea name="settings_[% field %]" class="ezra_dagobert_editor">[% $field %]</textarea></td>
                </tr>
                [% END %]

                <tr>
                    <td class="guideline-hover td150"><strong>Basis URL voor foto's:</strong></td>
                    <td colspan="2" class="guideline-hover settings_content_column"><input type="text" name="settings_woz_photo_base_url" class="infinite" value="[% woz_photo_base_url %]" />
                    <br/><small>Formaat: basis-url/[[woz_object_id]].extensie, bijv. http://www.mijngemeente.nl/woz/[[woz_object_id]].jpg</small>
                    </td>
                </tr>

                <tr>
                    <td class="guideline-hover td150"><strong>Sjabloon voor taxatieverslagen:</strong></td>
                    <td colspan="2" class="guideline-hover settings_content_column">
                        <select name="settings_woz_sjabloon">
                            <option value=""[% IF !id %] selected="selected"[% END %]>Geen sjabloon</option>

                            [% FOREACH sjabloon = sjablonen %]
                                <option value="[% sjabloon.id %]"[% IF sjabloon.id == woz_sjabloon %] selected="selected"[% END %]>[% sjabloon.naam %]</option>
                            [% END %]
                        </select>
                    </td>
                </tr>

                <tr>
                    <td class="guideline-hover td150"><strong>Geef mogelijkheid voor opmerkingen in PIP:</strong></td>
                    <td class="guideline-hover"><input type="checkbox" name="settings_woz_pip_comments" [% IF woz_pip_comments %]checked="checked"[% END %]></td>
                    <td class="td250">
                    </td>
                </tr>

                <tr>
                    <td class="guideline-hover td150"><strong>Zaaktype voor opmerkingen:</strong></td>
                    <td class="guideline-hover"><strong>[% IF woz_zaaktype_id %][% c.model('DB::Zaaktype').find(woz_zaaktype_id).zaaktype_node_id.titel %][% END %]</strong></td>
                    <td class="td250">
                    </td>
                </tr>

                [% PROCESS zaaktype/select.tt
                    hide_remember_zaaktype = 1
                    zaaktype_select_label = 'Aanpassen:'
                    selected_zaaktype_id = woz_zaaktype_id
                 %]

            </table>
            [% UNLESS succes %]
            <div class="form-actions">
                 <input type="submit" class="button button-primary right ezra_woz_admin_submit wymupdate" value="Verwerken"/>
            </div>
            [% END %]
        </form>
        [% END %]
    </div>
</div>
